<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolManageCharacteristics" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolManageCharacteristics</refname>

    <refpurpose>creates, updates or delete the characteristics graphic
    entities of the specified editor.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>handles = sisotoolManageCharacteristics(subWinIndex,key,handles,job) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>subWinIndex</term>

        <listitem>
          <para>Index of the specified analyser sub window.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>key</term>

        <listitem>
          <para>A character string, the short names f the specified
          characteristic.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>job</term>

        <listitem>
          <para>Character string, with possible value
          <literal>"create"</literal> , <literal>"delete"</literal> or
          <literal>"update"</literal> specifies the operation to be
          done.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>handles</term>

        <listitem>
          <para>Array of handles on the entities associated with the
          characteristics.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>S</term>

        <listitem>
          <para>The <link linkend="sisotoolSessionData">session data
          structure</link> is defined in the calling scope.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Creates, updates or delete the characteristics graphic entities of
    the specified editor.</para>
  </refsection>

  <refsection>
    <title>Called functions</title>

    <informaltable border="1">
      <tr>
        <td><link linkend="sisotoolGetEditorData">
        <function>sisotoolGetEditorData</function> </link></td>

        <td>retrieves the <link linkend="sisotoolEditorData">editor data
        structure</link> out of the specified editor axes user_data.</td>
      </tr>
    </informaltable>
  </refsection>
</refentry>
